=== debian/changelog ===
gitaly (15.10.8+dfsg-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sun, 11 Jun 2023 20:09:49 +0530

gitaly (15.10.8+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update minimum version of git
  * New upstream version 15.10.8+dfsg

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 09 Jun 2023 09:00:55 +0530

gitaly (15.10.7+dfsg-1) experimental; urgency=medium

  * Update minimum version of ruby-rugged to 1.5.1~
  * Update minimum version of ruby-activesupport
  * New upstream version 15.10.7+dfsg
  * Drop tools/golangci-lint directory (build fails)
  * Relax dependency on google-protobuf (version in archive is old)

 -- Pirate Praveen <praveen@debian.org>  Mon, 29 May 2023 10:35:03 +0530

gitaly (15.9.8+dfsg-1) experimental; urgency=medium

  [ Vinay Keshava ]
  * New upstream version 15.9.2+dfsg1

  [ Pirate Praveen ]
  * New upstream version 15.9.7+dfsg
  * New upstream version 15.9.8+dfsg

 -- Pirate Praveen <praveen@debian.org>  Mon, 08 May 2023 19:39:35 +0530

gitaly (15.8.4+dfsg1-2) experimental; urgency=medium

  * Team Upload.

  [ Pirate Praveen ]
  * Exclude ruby dependencies in nocheck build profile
  * Remove more generated files
  * Regenerate Gemfile.lock in tools/protogem directory

  [ Mohammed Bilal ]
  * Replace '' in path before checking storage path
    Thanks to Leopold for the bug report + patch  (Closes: #974159)

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 08 Apr 2023 23:39:59 +0530

gitaly (15.8.4+dfsg1-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * Team upload.
  * Update minimum version of gitlab-shell to 14.14~
  * Update minimum version of ruby-google-protobuf

  [ Vinay Keshava ]
  * New upstream version 15.8.4+dfsg1

 -- Vinay Keshava <vinaykeshava@disroot.org>  Thu, 16 Mar 2023 00:56:26 +0530

gitaly (15.7.8+dfsg1-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * Bump min version of golang-go to 1.18
  * Update min version of git

  [ Pirate Praveen ]
  * New upstream version 15.7.8+dfsg
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * New upstream version 15.7.8+dfsg1
    (add github.com/hashicorp/golang-lru/v2 to vendor)
  * Drop ruby-github-linguist dependency
  * Refresh patches
  * Drop ruby-gitlab-license-finder dependency
  * Use * text=auto eol=lf in .gitattributes to fix line endings issues
  * Add ruby-gitaly to Depends, update ruby-gitlab-labkit minimum version
  * Remove devel and test groups from ruby/Gemfile

 -- Pirate Praveen <praveen@debian.org>  Sat, 04 Mar 2023 16:14:35 +0530

gitaly (15.6.6+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 15.6.6+dfsg

 -- Mohammed Bilal <mdbilal@disroot.org>  Sun, 22 Jan 2023 21:24:16 +0530

gitaly (15.6.4+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 15.6.4+dfsg
    - The following modules are now vendored
      + github.com/aws/aws-sdk-go-v2
      + github.com/Azure/azure-sdk-for-go/sdk
      + github.com/AzureAD/microsoft-authentication-library-for-go
      + gocloud.dev
  * d/control: Update min versions, add new deps
  * Refresh patches
    + Add patch to use golang-github-cli-browser

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 13 Jan 2023 22:11:29 +0530

gitaly (15.5.4+dfsg1-1) experimental; urgency=medium

  * Team upload.

  [ Pirate Praveen ]
  * Update dependency versions

  [ Mohammed Bilal ]
  * New upstream version 15.5.4+dfsg1
     - Update vendored genproto version (0.0~git20210726.e7812ac)

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 12 Jan 2023 17:00:14 +0000

gitaly (15.5.4+dfsg-1) experimental; urgency=medium

  * Team Upload

  [ Pirate Praveen ]
  * Update minimum version of golang-github-go-enry-go-license-detector-dev
  * Switch to golang-github-golang-protobuf-1-5-dev (renamed)

  [ Mohammed Bilal ]
  * vendor packages that conflicts with golang-github-golang-protobuf-1-3-dev
  * New upstream version 15.5.4+dfsg
  * d/source/lintian-overrides:
      - lintian overrides for source-is-missing
      - override license-problem-gfdl-invariants lintian error
  * d/control:
      - add Build-Deps to build vendored modules
      - update minimum version of ruby-gitlab-labkit
      - rename golang-golang-x-tools to -dev 
      - fix ruby-script-but-no-ruby-dep lintian error
      - Bump min version of gitlab-shell
  * d/patches:
      - Refresh patches
      - drop patches no longer required
      - add patch to exclude go tools during build
      - add patch to modify build-proto-gem
  * d/rules: rename generate-proto-ruby to build-proto-gem

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 26 Nov 2022 18:04:55 +0530
