## gitaly 15.11.11+dfsg

=== debian/changelog ===
gitaly (15.11.11+dfsg-1) unstable; urgency=medium

  * New upstream version 15.11.11+dfsg

 -- Pirate Praveen <praveen@debian.org>  Fri, 07 Jul 2023 11:18:35 +0530

gitaly (15.11.6+dfsg-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * Team upload.
  * New upstream version 15.10.8+dfsg

  [ Vinay Keshava ]
  * New upstream version 15.11.6+dfsg
  * Refresh Patches

 -- Vinay Keshava <vinaykeshava@disroot.org>  Tue, 20 Jun 2023 11:27:57 +0530

gitaly (15.10.8+dfsg-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Jun 2023 01:54:28 +0530
