=== debian/changelog ===
gitaly (16.0.7+ds1-3) unstable; urgency=medium

  * Drop bundle install --local autopkgtest (ruby files are removed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Jul 2023 23:29:17 +0530

gitaly (16.0.7+ds1-2) unstable; urgency=medium

  * Reupload to unstable
  * Update minimum version of gitlab-shell
  * Drop override_dh_install obsoleted by ruby code removal

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Jul 2023 17:43:28 +0530

gitaly (16.0.7+ds1-1) experimental; urgency=medium

  * New upstream version 16.0.7
  * debian/{copyright,watch}: ruby directory is removed upstream, so we don't
    need to repack anymore
  * Remove patches modifying ruby directory
  * debian/{rules,control}: Bump module version v15 -> v16
  * New upstream version 16.0.7+ds1 (add github.com/golang-jwt/jwt/v5 in
    vendor)
  * Don't build tools/protoc-gen-doc (need unpackaged module, add to
    debian/clean)
  * Add patch to relax grpc-tools gem in tools/protogem/Gemfile
  * Drop ruby build dependencies and gitaly's ruby dependencies
  * Drop bundle install in postinst

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Jul 2023 19:32:08 +0530
