=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
  golang-github-sirupsen-logrus-dev (>= 1.0~),
  golang-github-stretchr-testify-dev (>= 1.4~),
  golang-github-urfave-cli-v2-dev,
- golang-gitlab-gitlab-org-gitlab-shell-v14-dev (>= 14.18~),
+ golang-gitlab-gitlab-org-gitlab-shell-v14-dev (>= 14.20~),
 # golang-gitlab-gitlab-org-labkit-dev (>= 1.16~),
 # golang-gocloud-dev,
  golang-golang-x-crypto-dev,
@@ -81,50 +81,19 @@
  golang-github-cli-browser-dev,
  gem2deb,
  ruby-grpc-tools (>= 1.42~),
- ruby-bundler,
- ruby-rugged (>= 1.5.1~) <!nocheck>,
- ruby-gitlab-markup (>= 1.7.1~) <!nocheck>,
- ruby-github-markup (>= 1.7.0~) <!nocheck>,
- ruby-activesupport (>= 2:6.1.7.2~) <!nocheck>,
- ruby-grpc (>= 1.42~) <!nocheck>,
- ruby-sentry-raven (>= 3.0~) <!nocheck>,
- ruby-faraday (>= 0.12~) <!nocheck>,
- ruby-rbtrace <!nocheck>,
- ruby-gitaly (>= 15.5~) <!nocheck>,
- ruby-gitlab-labkit (>= 0.31~) <!nocheck>,
- ruby-licensee (>= 9.15~) <!nocheck>,
- ruby-google-protobuf (>= 3.21.12~) <!nocheck>,
- ruby-redis (>= 4.8~) <!nocheck>,
- ruby-nokogiri (>=1.14~)
+ ruby-bundler
 Standards-Version: 4.6.2
 Homepage: https://gitlab.com/gitlab-org/gitaly
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitaly
 XS-Ruby-Versions: all
-XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly/v15
+XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly/v16
 
 Package: gitaly
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-     ${ruby:Depends},
      gitlab-common (=${source:Version}),
-     ruby,
-     ruby-bundler,
-     ruby-rugged (>= 1.5.1~),
-     ruby-gitlab-markup (>= 1.7.1~),
-     ruby-github-markup (>= 1.7.0~),
-     ruby-activesupport (>= 2:6.1.7.2~),
-     ruby-grpc (>= 1.42~),
-     ruby-google-protobuf (>= 3.21.12~),
-     ruby-sentry-raven (>= 3.0~),
-     ruby-faraday (>= 0.12~),
-     ruby-rbtrace,
-     ruby-gitaly (>= 15.5~),
-     ruby-gitlab-labkit (>= 0.31~),
-     ruby-licensee (>= 9.15~),
-     ruby-redis (>= 4.8~),
-     ruby-nokogiri (>= 1.14~),
 # sysv deps:
      pipexec,
      procps
@@ -159,7 +128,7 @@
  adduser (>= 3.34~),
  git (>= 1:2.38~),
  ucf,
- gitlab-shell (>= 14.18~)
+ gitlab-shell (>= 14.20~)
 Description: git powered software platform to collaborate on code (common)
  gitlab provides web based interface to host source code and track issues.
  It allows anyone for fork a repository and send merge requests. Code review
