=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,15 @@
 export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR = debian/ruby-gitaly
 export GEM2DEB_TEST_RUNNER = --check-dependencies
 export RAILS_ENV = development # for bundle install --local test
-export GITALY_EXECUTABLES = $(addprefix gitlab.com/gitlab-org/gitaly/v15/cmd/,$(notdir $(shell find ${CURDIR}/cmd -mindepth 1 -maxdepth 1 -type d -print)))
+export GITALY_EXECUTABLES = $(addprefix gitlab.com/gitlab-org/gitaly/v16/cmd/,$(notdir $(shell find ${CURDIR}/cmd -mindepth 1 -maxdepth 1 -type d -print)))
 # All executables packed inside the Gitaly binary.
 export GITALY_PACKED_EXECUTABLES = $(filter %gitaly-hooks %gitaly-git2go %gitaly-ssh %gitaly-lfs-smudge, ${GITALY_EXECUTABLES})
 
 include /usr/share/dpkg/pkg-info.mk
 ## Set some build variables as per Makefile:
 VERSION  ?= $(shell sh -c 'printf "$${1%%+dfsg*}"' -- "$(DEB_VERSION_UPSTREAM)")
-PKG := gitlab.com/gitlab-org/gitaly/v15
-MODULE_VERSION := v15
+PKG := gitlab.com/gitlab-org/gitaly/v16
+MODULE_VERSION := v16
 GO_LDFLAGS ?= -X $(PKG)/internal/version.version=$(VERSION) -X $(PKG)/internal/version.moduleVersion=$(MODULE_VERSION)
 GO_BUILD_TAGS ?= static,system_libgit2
 
@@ -46,7 +46,7 @@
 	dh_auto_build -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
 	-O--builddirectory=_build -- \
 	   -ldflags "$(GO_LDFLAGS)" -tags "$(GO_BUILD_TAGS)" \
-           gitlab.com/gitlab-org/gitaly/v15/cmd/gitaly
+           gitlab.com/gitlab-org/gitaly/${MODULE_VERSION}/cmd/gitaly
 	rm -rf _build/src/${PKG}/_build/
 	rm tools/protogem/Gemfile.lock
 	RAILS_ENV=$(RAILS_ENV) BUNDLE_GEMFILE=tools/protogem/Gemfile \
@@ -61,11 +61,6 @@
 	#-dh_auto_test -O--buildsystem=golang -O--package=golang-gitlab-gitlab-org-gitaly-dev \
 	#-O--builddirectory=_build
 	dh_auto_test -O--buildsystem=ruby -O--package=ruby-gitaly
-	# Test if ruby dependencies are satisfied
-	TMPDIR=$$(mktemp -d); cp ruby/Gemfile $$TMPDIR; cd $$TMPDIR;\
-        RAILS_ENV=$(RAILS_ENV) bundle install --local || exit 1;\
-        rm $$TMPDIR/Gemfile* $$TMPDIR/.bundle/config;\
-       	rmdir $$TMPDIR/config; rmdir $$TMPDIR
 endif
 
 override_dh_auto_install:
@@ -77,9 +72,3 @@
 	for f in `find debian/ -name testdata`; do \
 		$(RM) -rv $$f; \
 	done
-
-override_dh_install:
-	dh_install
-	$(RM) -rv debian/gitaly/usr/share/gitaly/ruby/Gemfile.lock
-	$(RM) -rv debian/gitaly/usr/share/gitaly/ruby/.gitignore
-	$(RM) -rv debian/gitaly/usr/share/gitaly/ruby/gitlab-shell/.gitignore
