## gitaly 16.0.8+ds1

=== debian/changelog ===
gitaly (16.0.8+ds1-1build1) noble; urgency=medium

  * Rebuild against 'new libgit2-1.7'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Dec 2023 09:32:40 +0100

gitaly (16.0.8+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 16.0.8+ds1
  * Add patch to fix FTBFS (Closes: #1052627)
  * d/rules: update suffix in VERSIONS

 -- Mohammed Bilal <rmb@debian.org>  Wed, 04 Oct 2023 14:43:39 +0000
