=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 ## Set some build variables as per Makefile:
-VERSION  ?= $(shell sh -c 'printf "$${1%%+dfsg*}"' -- "$(DEB_VERSION_UPSTREAM)")
+VERSION  ?= $(shell sh -c 'printf "$${1%%+ds*}"' -- "$(DEB_VERSION_UPSTREAM)")
 PKG := gitlab.com/gitlab-org/gitaly/v16
 MODULE_VERSION := v16
 GO_LDFLAGS ?= -X $(PKG)/internal/version.version=$(VERSION) -X $(PKG)/internal/version.moduleVersion=$(MODULE_VERSION)
